# FakeTransaction Class Reference
[Tools for working with transactions]

Transaction-like wrapper around DB's queryNull. More...

Inheritance diagram for FakeTransaction:
[legend]

List of all members.

## Public Member Functions

| add (Query $query)
| flush ()

## Detailed Description

Transaction-like wrapper around DB's queryNull.

Definition at line 17 of file FakeTransaction.class.php.

## Member Function Documentation

FakeTransaction::add | ( | Query $ | query | ) |

Returns:
  FakeTransaction

Definition at line 22 of file FakeTransaction.class.php.

FakeTransaction::flush | ( |  | ) |

Returns:
  FakeTransaction

Reimplemented from BaseTransaction.

Definition at line 32 of file FakeTransaction.class.php.

The documentation for this class was generated from the following file:

- core/DB/Transaction/FakeTransaction.class.php